#!/usr/bin/env python

from pathlib import Path

from setuptools import setup
from setuptools.extension import Extension

setup(
    name='jq',
    version='1.4.0',
    description='jq is a lightweight and flexible JSON processor.',
    long_description=Path("README.rst").read_text(),
    author='Michael Williamson',
    url='http://github.com/mwilliamson/jq.py',
    python_requires='>=3.5',
    license='BSD 2-Clause',
    ext_modules=[
        Extension(
            "jq",
            sources=[
                "jq.pyx",
            ],
            extra_link_args=["-lm", "-ljq", "-lonig"]
        ),
    ],
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: BSD License',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
        'Programming Language :: Python :: 3.10',
        'Programming Language :: Python :: 3.11',
    ],
)

